Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002296TestLinkTest Executepublic2009-03-28 00:512010-11-06 15:20
Reporterjcam 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.9 (Prague) 
Summary0002296: Cannot filter the execution list based on 'ANY' keywords.
DescriptionAttempting to use the Navigation and Filter settings on the test execution page. One of the filters that can be set is 'Keyword'. I cannot set this to 'Any' for some reason. I am forced to employ the 1 keyword that we have defined when submitting the filter. This of course prevents us from seeing all tests we wish to see, since many do not have a keyword set.
Additional InformationI'd like to see this filter work like it works in the Query Metrics page.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserOpera 9.x, Firefox 3.0.x, IE 8
PHP VersionPHP Version 5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0006051)
fman (administrator)
2009-03-28 16:11

please provide detailed steps to reproduce
(0006057)
jcam (reporter)
2009-03-29 09:25

1. Create 1 and only 1 keyword in a project.
2. Create 2 test cases, assigning 1 test case the keyword made in step 1. Leave
   the other test case with no keyword assigned.
3. Assign the two cases to a test plan.
4. Navigate to the 'execute' page for that test plan.
5. Attempt to use the filters, and set up a filter that will show any test case, regardless of keyword.

Results: you cannot - you are forced to select at least 1 keyword for the filter settings - the keyword you added in step 1 is populated in the drop down, rather than something like 'any'.
(0006067)
fman (administrator)
2009-03-30 19:34

Work is in progress

- Issue History
Date Modified Username Field Change
2009-03-28 00:51 jcam New Issue
2009-03-28 00:51 jcam Browser => Opera 9.x, Firefox 3.0.x, IE 8
2009-03-28 00:51 jcam PHP Version => PHP Version 5.2.6
2009-03-28 16:10 fman Status new => assigned
2009-03-28 16:10 fman Assigned To => fman
2009-03-28 16:11 fman Note Added: 0006051
2009-03-28 16:11 fman Status assigned => feedback
2009-03-29 09:25 jcam Note Added: 0006057
2009-03-30 19:34 fman Note Added: 0006067
2010-11-06 15:20 fman Status feedback => closed
2010-11-06 15:20 fman Resolution open => fixed
2010-11-06 15:20 fman Fixed in Version => 1.9 (Prague)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker